<!--
IGAC proyecto SNC

@author leidy.gonzalez
@description Consultar el histórico de zonas para los predios que están en el tramite  
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<p:panel xmlns="http://www.w3.org/1999/xhtml"
         xmlns:ui="http://java.sun.com/jsf/facelets"
         xmlns:f="http://java.sun.com/jsf/core"
         xmlns:h="http://java.sun.com/jsf/html"
         xmlns:misc="http://java.sun.com/jsf/composite/misc"
         xmlns:p="http://primefaces.org/ui"
         xmlns:fn="http://java.sun.com/jsp/jstl/functions">


    <!-- CASO DE USO CU-NP-CO-285 -->

    <h:panelGrid columns="1" cellspacing="2" width="100%">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <h:form id="consultaZonaForm">

            <p:messages id="msgsTmp" showDetail="false"
                        globalOnly="false" />

            <h:outputLabel value="Número predial"
                           styleClass="outputLabelStyle" />

            <p:spacer width="10"></p:spacer>

            <h:outputText value="#{managedBeanParam.predioSeleccionado.numeroPredial}"
                          styleClass="outputTextStyle" />

            <p:fieldset>

                <h:panelGrid cellspacing="3" cellpadding="3">

                    <p:dataTable var="predioZona"
                                 value="#{managedBeanParam.historicoPredioZonaSeleccionado}"
                                 rowKey="#{predioZona.id}" id="tablaHistoricoZonas"
                                 paginator="true" rows="5"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                 emptyMessage="No existen historico de zonas a mostrar"
                                 selectionMode="single">

                        <p:column headerText="Zona física">
                            <h:outputText value="#{predioZona.zonaFisica}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Zona geoeconómica">
                            <h:outputText value="#{predioZona.zonaGeoeconomica}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Área terreno" style="text-align:right">
                            <h:outputText value="#{predioZona.area}">
                                <f:convertNumber pattern="#{general.formatoDosCifrasDecimales}"/>
                            </h:outputText>
                        </p:column>
                        <p:column headerText="Vr m2 terreno" style="text-align:right">
                            <h:outputText value="#{predioZona.valorM2Terreno}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo unidad Terreno" style="text-align:right">
                            <h:outputText value="#{predioZona.avaluo}">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Vigencia">
                            <h:outputText value="#{predioZona.vigencia}"
                                          styleClass="outputTextStyle" >
                                <f:convertDateTime pattern="#{general.formatoFecha}" />
                            </h:outputText> 
                        </p:column>

                    </p:dataTable>

                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                         oncomplete="historicoZonasWV.hide()" icon="ui-icon-close" />

                    </p:outputPanel>

                </h:panelGrid>

            </p:fieldset>

        </h:form>

    </h:panelGrid>

</p:panel>